/*
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.papyrus.robotics.xtext.datatypes.parser.antlr.internal.InternalDTMLParser;
import org.eclipse.papyrus.robotics.xtext.datatypes.services.DTMLGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class DTMLParser extends AbstractAntlrParser {

	@Inject
	private DTMLGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalDTMLParser createParser(XtextTokenStream stream) {
		return new InternalDTMLParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Model";
	}

	public DTMLGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(DTMLGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
